public class ReferencesChained {
  public static void main(String[] args) {
    String ending = "World";
    StringBuffer sb1 = new StringBuffer("Hello");
    StringBuffer sb2 = null;
    sb2 = sb1;
    sb2.append(" ").append(ending);
    System.out.println(sb1);
  }
}